Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
OnigMatchArg Struct Reference

`#include <regint.h>`

## Data Fields
void * | stack_p
size_t | stack_n
OnigOptionType | options
OnigRegion * | region
const UChar * | start
const UChar * | gpos
OnigPosition | best_len
UChar * | best_s

## Detailed Description

Definition at line 858 of file regint.h.

## Field Documentation

## ◆ best_len

OnigPosition OnigMatchArg::best_len

Definition at line 866 of file regint.h.

## ◆ best_s

UChar* OnigMatchArg::best_s

Definition at line 867 of file regint.h.

## ◆ gpos

const UChar* OnigMatchArg::gpos

Definition at line 864 of file regint.h.

## ◆ options

OnigOptionType OnigMatchArg::options

Definition at line 861 of file regint.h.

## ◆ region

OnigRegion* OnigMatchArg::region

Definition at line 862 of file regint.h.

## ◆ stack_n

size_t OnigMatchArg::stack_n

Definition at line 860 of file regint.h.

## ◆ stack_p

void* OnigMatchArg::stack_p

Definition at line 859 of file regint.h.

## ◆ start

const UChar* OnigMatchArg::start

Definition at line 863 of file regint.h.

The documentation for this struct was generated from the following file:

- regint.h